tbb::internal::thread_closure_2< F, X, Y > Struct Template Reference
Inheritance diagram for tbb::internal::thread_closure_2< F, X, Y >:

## Public Member Functions

| thread_closure_2 (const F &f, const X &x, const Y &y)
Public Member Functions inherited from tbb::internal::thread_closure_base
void * | operator new (size_t size)
void | operator delete (void *ptr)

## Static Public Member Functions

static __TBB_NATIVE_THREAD_ROUTINE | start_routine (void *c)
| Routine passed to Windows's _beginthreadex by thread::internal_start() inside tbb.dll.

## Public Attributes

F | function
X | arg1
Y | arg2

The documentation for this struct was generated from the following file:

- tbb_thread.h

Copyright © 2005-2017 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.